Elektronikus könyvek készítésének technikai kérdései

snowdog

Állandó Tag
Állandó Tag
Ha a moly.hu plugin nem tud metaadatot letölteni, akkor egy log fájlban megjelenik az oka. A Calibre ezt olvasásra fel is ajánlja. Mit látsz ebben a log fájlban, milyen hibát jelez a Calibre?

Vágólap01.jpg
 
Utoljára módosítva:

lochereva

Állandó Tag
Állandó Tag
5.xx alatt is működött eddig, pár hete nem talál semmit. Talán a Moly-nál változtattak valamin.
Megmondom őszintén fogalmam sincs milyen verziót használok.
Attól függ melyik Calibre verziót használod? Ugyanis amiket én szerkesztettem azoknál a Calibre 4.x.x moly.hu plugin nem működik Calibre 5.x.x alatt, és viszont.
Én még mindig a Calibre 4.10.1-et használom, és a moly.hu plugin nálam rendben működik.
De a hivatalos Calibre plugin-oknál megtalálod a Calibre 5.x.x-hez valót is, ha arra lenne szükséged.
5.29.0 a verzió . Próbáltam frissíteni a plugint, de a calibre szerint a legfrissebb van fent.
 

lochereva

Állandó Tag
Állandó Tag
Ha a moly.hu plugin nem tud metaadatot letölteni, akkor egy log fájlban megjelenik az oka. A Calibre ezt olvasásra fel is ajánlja. Mit látsz ebben a log fájlban, milyen hibát jelez a Calibre?

Csatolás megtekintése 1822381
calibre, version 5.29.0
HIBA: Nincs találat: <p>Nem sikerült találni olyan könyveket, amelyek megfelelnek a keresésnek. Próbálkozzon <b>részletesebb</b> kereséssel. Például csak a szerző nevét és egyetlen megkülönböztető szót használjon a címből. <p>A teljes napló megtekintéséhez kattintson a "Részletek" gombra.

Running identify query with parameters:
{'title': 'Ököljog', 'authors': ['Bolya Zoltán'], 'identifiers': {'isbn': '9789635800223', 'mobi-asin': 'bfe2354f-30bd-4588-9bfb-149e71cc474d'}, 'timeout': 30}
Using plugins: Moly_hu (1, 1, 7), Google (1, 0, 2)
The log from individual plugins is below

****************************** Moly_hu (1, 1, 7) ******************************
Found 0 results
Downloading from Moly_hu took 0.7176787853240967
Title: Ököljog
Authors: ['Bolya Zoltán']

search_title: %C3%96k%C3%B6ljog
search_author: Bolya%20Zolt%C3%A1n
search_page: https://moly.hu/kereses?utf8=✓&q=Bolya Zoltán+Ököljog
Querying: https://moly.hu/kereses?utf8=✓&q=Bolya Zoltán+Ököljog
Failed to make identify query: 'https://moly.hu/kereses?utf8=✓&q=Bolya Zoltán+Ököljog'
Traceback (most recent call last):
File "mechanize\_urllib2_fork.py", line 1236, in do_open
File "http\client.py", line 1255, in request
File "http\client.py", line 1301, in _send_request
File "http\client.py", line 1250, in endheaders
File "http\client.py", line 1010, in _send_output
File "http\client.py", line 950, in send
File "http\client.py", line 1424, in connect
File "ssl.py", line 500, in wrap_socket
File "ssl.py", line 1040, in _create
File "ssl.py", line 1309, in do_handshake
ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: certificate has expired (_ssl.c:1123)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "calibre_plugins.moly_hu.__init__", line 65, in identify
File "mechanize\_mechanize.py", line 257, in open
File "mechanize\_mechanize.py", line 287, in _mech_open
File "mechanize\_opener.py", line 193, in open
File "mechanize\_urllib2_fork.py", line 425, in _open
File "mechanize\_urllib2_fork.py", line 414, in _call_chain
File "calibre\utils\browser.py", line 29, in https_open
File "mechanize\_urllib2_fork.py", line 1240, in do_open
urllib.error.URLError: <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: certificate has expired (_ssl.c:1123)>

********************************************************************************

****************************** Google (1, 0, 2) ******************************
Found 0 results
Downloading from Google took 1.757720947265625
Making query: https://books.google.com/books/feed...results=20&start-index=1&min-viewability=none
No results found, retrying without identifiers
Making query: https://books.google.com/books/feed...results=20&start-index=1&min-viewability=none

********************************************************************************
The identify phase took 1.89 seconds
The longest time (1.757721) was taken by: Google
Merging results from different sources
We have 0 merged results, merging took: 0.00 seconds
 

lochereva

Állandó Tag
Állandó Tag
Ha a moly.hu plugin nem tud metaadatot letölteni, akkor egy log fájlban megjelenik az oka. A Calibre ezt olvasásra fel is ajánlja. Mit látsz ebben a log fájlban, milyen hibát jelez a Calibre?

Csatolás megtekintése 1822381
calibre, version 5.29.0
HIBA: Nincs találat: <p>Nem sikerült találni olyan könyveket, amelyek megfelelnek a keresésnek. Próbálkozzon <b>részletesebb</b> kereséssel. Például csak a szerző nevét és egyetlen megkülönböztető szót használjon a címből. <p>A teljes napló megtekintéséhez kattintson a "Részletek" gombra.

Running identify query with parameters:
{'title': 'Filmszakadás', 'authors': ['Elizabeth Little'], 'identifiers': {'isbn': '9789633109847', 'mobi-asin': 'ace13515-ce2d-4c46-b8f5-04294e2a6bb8'}, 'timeout': 30}
Using plugins: Moly_hu (1, 1, 7), Google (1, 0, 2)
The log from individual plugins is below

****************************** Moly_hu (1, 1, 7) ******************************
Found 0 results
Downloading from Moly_hu took 0.7122557163238525
Title: Filmszakadás
Authors: ['Elizabeth Little']

search_title: Filmszakad%C3%A1s
search_author: Elizabeth%20Little
search_page: https://moly.hu/kereses?utf8=✓&q=Elizabeth Little+Filmszakadás
Querying: https://moly.hu/kereses?utf8=✓&q=Elizabeth Little+Filmszakadás
Failed to make identify query: 'https://moly.hu/kereses?utf8=✓&q=Elizabeth Little+Filmszakadás'
Traceback (most recent call last):
File "mechanize\_urllib2_fork.py", line 1236, in do_open
File "http\client.py", line 1255, in request
File "http\client.py", line 1301, in _send_request
File "http\client.py", line 1250, in endheaders
File "http\client.py", line 1010, in _send_output
File "http\client.py", line 950, in send
File "http\client.py", line 1424, in connect
File "ssl.py", line 500, in wrap_socket
File "ssl.py", line 1040, in _create
File "ssl.py", line 1309, in do_handshake
ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: certificate has expired (_ssl.c:1123)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "calibre_plugins.moly_hu.__init__", line 65, in identify
File "mechanize\_mechanize.py", line 257, in open
File "mechanize\_mechanize.py", line 287, in _mech_open
File "mechanize\_opener.py", line 193, in open
File "mechanize\_urllib2_fork.py", line 425, in _open
File "mechanize\_urllib2_fork.py", line 414, in _call_chain
File "calibre\utils\browser.py", line 29, in https_open
File "mechanize\_urllib2_fork.py", line 1240, in do_open
urllib.error.URLError: <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: certificate has expired (_ssl.c:1123)>

********************************************************************************

****************************** Google (1, 0, 2) ******************************
Found 0 results
Downloading from Google took 1.8271994590759277
Making query: https://books.google.com/books/feed...results=20&start-index=1&min-viewability=none
No results found, retrying without identifiers
Making query: https://books.google.com/books/feed...results=20&start-index=1&min-viewability=none

********************************************************************************
The identify phase took 1.93 seconds
The longest time (1.827199) was taken by: Google
Merging results from different sources
We have 0 merged results, merging took: 0.00 seconds
 

snowdog

Állandó Tag
Állandó Tag
A bemásolt error log-ok azt mutatják, hogy a hibát a python 3 okozza. Tehát nem a moly.hu honlappal, sem a Calbre moly.hu plugin-nel nincs probléma.
Ugyanis a log fájlból ez a sor a lényeges: urllib.error.URLError: <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: certificate has expired (_ssl.c:1123)>

A jelenségről itt többet olvashatsz (a kapcsolódó hozzászólásokat is olvasd el): moly.hu plugin

A megoldást nem ismerem, illetve azt tudom javasolni a hiba megszűnéséig használjátok valamelyik Calibre 4.x.x. verziót, azok ugyanis python 2-vel működnek, és ott nem jelentkezik ez a hiba.
 

snowdog

Állandó Tag
Állandó Tag
A MobileRead Forums oldalon találtam egy megoldást, Windows 10 alatt kipróbáltam, és nálam működik! MobileRead Forums

1. az aktuális felhasználó tanúsítványkezelőjének megnyitásához a tálcán kattints a Windows keresőmezőjére,
2. írd be a certmgr.msc parancsot,
3. a bal oldali panelen a "Közbenső szintű kitelesítésszolgáltatók" alatt válaszd ki a "Tanúsítványok" pontot,
4. a jobb oldali ablaktáblában görgess le az R3 -ra,
5. dupla kattintással nyisd meg, és nézd meg, hogy az "Érvényesség: xxx vége: xxx" dátum már lejárt,
6. a párbeszédpanel bezárásához kattints az OK gombra,
7. az R3 törléséhez jobb egérkattintás az R3 bejegyzésre, majd nyomd meg a "Törlés" gombot,
8. a törlés megerősítéséhez nyomd meg az IGEN gombot,
9. zárd be a certmgr ablakot.

Ha működik lehet örülni! :dr_31:
 

Pudri

Állandó Tag
Állandó Tag
A MobileRead Forums oldalon találtam egy megoldást, Windows 10 alatt kipróbáltam, és nálam működik! MobileRead Forums

1. az aktuális felhasználó tanúsítványkezelőjének megnyitásához a tálcán kattints a Windows keresőmezőjére,
2. írd be a certmgr.msc parancsot,
3. a bal oldali panelen a "Közbenső szintű kitelesítésszolgáltatók" alatt válaszd ki a "Tanúsítványok" pontot,
4. a jobb oldali ablaktáblában görgess le az R3 -ra,
5. dupla kattintással nyisd meg, és nézd meg, hogy az "Érvényesség: xxx vége: xxx" dátum már lejárt,
6. a párbeszédpanel bezárásához kattints az OK gombra,
7. az R3 törléséhez jobb egérkattintás az R3 bejegyzésre, majd nyomd meg a "Törlés" gombot,
8. a törlés megerősítéséhez nyomd meg az IGEN gombot,
9. zárd be a certmgr ablakot.

Ha működik lehet örülni! :dr_31:
Örülök, mert így működik. Köszönöm, hogy utána jártál. remélem másut nem fog ez a beavatkozás problémát okozn. Egyébként WIN11-et használok, és lehet, hogy ennek használata óta jött elő ez e jelenség.
 

snowdog

Állandó Tag
Állandó Tag
Örülök hogy sikerült megoldani. Véleményem szerint ennek semmi köze a Win11-hez, hiszen én win10-et használok, és a probléma ugyan az volt.
Nem tudjuk pontosan mi váltotta ki ezt a hibát, de az biztos, hogy a Calibre által alkalmazott Python3-nak valami köze van hozzá, hiszen a Python2 alatt nem jelentkezik a probléma.
Amit töröltünk az a honlapok hitelesítésével kapcsolatos, azt tudom elképzelni, hogy ezek után olyan oldalakat is megtudunk nyitni, melyek hitelesítése már lejárt. Nem gondolom hogy ez túl nagy problémát tudna okozni, de majd meglátjuk.
 
Utoljára módosítva:

Pudri

Állandó Tag
Állandó Tag
Örülök hogy sikerült megoldani. Véleményem szerint ennek semmi köze a Win11-hez, hiszen én win10-et használok, és a probléma ugyan az volt.
Nem tudjuk pontosan mi váltotta ki ezt a hibát, de az biztos, hogy a Calibre által alkalmazott Python3-nak valami köze van hozzá, hiszen a Python2 alatt nem jelentkezik a probléma.
Amit töröltünk az a honlapok hitelesítésével kapcsolatos, azt tudom elképzelni, hogy ezek után olyan oldalakat is megtudunk nyitni, melyek hitelesítése már lejárt. Nem gondolom hogy ez túl nagy problémát tudna okozni, de majd meglátjuk.
Rendben. Köszi mégegyszer.
 

lochereva

Állandó Tag
Állandó Tag
A MobileRead Forums oldalon találtam egy megoldást, Windows 10 alatt kipróbáltam, és nálam működik! MobileRead Forums

1. az aktuális felhasználó tanúsítványkezelőjének megnyitásához a tálcán kattints a Windows keresőmezőjére,
2. írd be a certmgr.msc parancsot,
3. a bal oldali panelen a "Közbenső szintű kitelesítésszolgáltatók" alatt válaszd ki a "Tanúsítványok" pontot,
4. a jobb oldali ablaktáblában görgess le az R3 -ra,
5. dupla kattintással nyisd meg, és nézd meg, hogy az "Érvényesség: xxx vége: xxx" dátum már lejárt,
6. a párbeszédpanel bezárásához kattints az OK gombra,
7. az R3 törléséhez jobb egérkattintás az R3 bejegyzésre, majd nyomd meg a "Törlés" gombot,
8. a törlés megerősítéséhez nyomd meg az IGEN gombot,
9. zárd be a certmgr ablakot.

Ha működik lehet örülni! :dr_31:
Nagyon örülök. :) Köszönöm!
 
Oldal tetejére